Package io.milvus.connection

## Class ClusterListener

- java.lang.Object
- - io.milvus.connection.ClusterListener

- All Implemented Interfaces:
    `Listener`

      public class ClusterListener
      extends java.lang.Object
      implements Listener

  Send heartbeat for a Milvus cluster healthy check.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusterListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Boolean` | `heartBeat​(ServerSetting serverSetting)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterListener

          public ClusterListener()

  - ### Method Detail

    - #### heartBeat

          public java.lang.Boolean heartBeat​(ServerSetting serverSetting)

      Specified by:
        `heartBeat` in interface `Listener`